/home/travis/build/boostorg/boost/boost/geometry/algorithms/append.hpp File Reference

## Classes

struct | boost::geometry::resolve_variant::append< Geometry >
struct | boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry , typename RangeOrPoint >
void | boost::geometry::append (Geometry &geometry, RangeOrPoint const &range_or_point, int ring_index=-1, int multi_index=0)
| Appends one or more points to a linestring, ring, polygon, multi-geometry.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK